import { inLine } from './utils/math';
export function isPointInPath(displayObject, position) {
  var _displayObject$attrib = displayObject.attributes,
      x1 = _displayObject$attrib.x1,
      y1 = _displayObject$attrib.y1,
      x2 = _displayObject$attrib.x2,
      y2 = _displayObject$attrib.y2,
      _displayObject$attrib2 = _displayObject$attrib.lineWidth,
      lineWidth = _displayObject$attrib2 === void 0 ? 0 : _displayObject$attrib2,
      x = _displayObject$attrib.x,
      y = _displayObject$attrib.y;
  return inLine(x1, y1, x2, y2, lineWidth, position.x + x, position.y + y);
}
//# sourceMappingURL=Line.js.map