import { inPolygon, inPolyline } from './utils/math';
export function isPointInPath(displayObject, position) {
  var _displayObject$attrib = displayObject.attributes,
      stroke = _displayObject$attrib.stroke,
      fill = _displayObject$attrib.fill,
      _displayObject$attrib2 = _displayObject$attrib.lineWidth,
      lineWidth = _displayObject$attrib2 === void 0 ? 0 : _displayObject$attrib2,
      points = _displayObject$attrib.points,
      x = _displayObject$attrib.x,
      y = _displayObject$attrib.y;
  var isHit = false;

  if (stroke) {
    isHit = inPolyline(points, lineWidth, position.x + x, position.y + y, true);
  }

  if (!isHit && fill) {
    isHit = inPolygon(points, position.x + x, position.y + y);
  }

  return isHit;
}
//# sourceMappingURL=Polygon.js.map