import { inPolyline } from './utils/math';
export function isPointInPath(displayObject, position) {
  var _displayObject$attrib = displayObject.attributes,
      stroke = _displayObject$attrib.stroke,
      _displayObject$attrib2 = _displayObject$attrib.lineWidth,
      lineWidth = _displayObject$attrib2 === void 0 ? 0 : _displayObject$attrib2,
      points = _displayObject$attrib.points,
      x = _displayObject$attrib.x,
      y = _displayObject$attrib.y;

  if (!stroke || !lineWidth) {
    return false;
  }

  return inPolyline(points, lineWidth, position.x + x, position.y + y, false);
}
//# sourceMappingURL=Polyline.js.map