"use strict";
exports.__esModule = true;
exports.isPointInPath = void 0;
var math_1 = require("./utils/math");
function isPointInPath(displayObject, position) {
    var _a = displayObject.attributes, stroke = _a.stroke, _b = _a.lineWidth, lineWidth = _b === void 0 ? 0 : _b, points = _a.points, x = _a.x, y = _a.y;
    if (!stroke || !lineWidth) {
        return false;
    }
    return math_1.inPolyline(points, lineWidth, position.x + x, position.y + y, false);
}
exports.isPointInPath = isPointInPath;
