"use strict";
exports.__esModule = true;
exports.isPointInPath = void 0;
var math_1 = require("./utils/math");
function isPointInPath(displayObject, position) {
    var _a = displayObject.attributes, x1 = _a.x1, y1 = _a.y1, x2 = _a.x2, y2 = _a.y2, _b = _a.lineWidth, lineWidth = _b === void 0 ? 0 : _b, x = _a.x, y = _a.y;
    return math_1.inLine(x1, y1, x2, y2, lineWidth, position.x + x, position.y + y);
}
exports.isPointInPath = isPointInPath;
