"use strict";
exports.__esModule = true;
exports.isPointInPath = void 0;
var math_1 = require("./utils/math");
function isPointInPath(displayObject, position) {
    var _a = displayObject.attributes, stroke = _a.stroke, fill = _a.fill, _b = _a.lineWidth, lineWidth = _b === void 0 ? 0 : _b, points = _a.points, x = _a.x, y = _a.y;
    var isHit = false;
    if (stroke) {
        isHit = math_1.inPolyline(points, lineWidth, position.x + x, position.y + y, true);
    }
    if (!isHit && fill) {
        isHit = math_1.inPolygon(points, position.x + x, position.y + y);
    }
    return isHit;
}
exports.isPointInPath = isPointInPath;
